Opened 3 years ago

Closed 2 years ago

#7566 release blocker: regression closed duplicate (duplicate)

port twisted.python.systemd to python 3

Reported by: PyroDevil Owned by:
Priority: normal Milestone: Python-3.x
Component: web Keywords:
Cc: jknight Branch:
Author:

Description

I have twisted (14.0.0) installed for python 3 on Archlinux.

Importing most twisted.web.client stuff fails because the twisted.python.systemd module doesn't exist.

>>> from twisted.web.client import HTTPClientFactory
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python3.4/site-packages/twisted/web/client.py", line 42, in <module>
    from twisted.internet.endpoints import TCP4ClientEndpoint, SSL4ClientEndpoint
  File "/usr/lib/python3.4/site-packages/twisted/internet/endpoints.py", line 34, in <module>
    from twisted.python.systemd import ListenFDs
ImportError: No module named 'twisted.python.systemd'

from #6077 I get that this should be ported already to python 3, so its a regression. (I haven't tested it before)

Change History (5)

comment:1 Changed 3 years ago by DefaultCC Plugin

Cc: jknight added

comment:2 Changed 3 years ago by Alex Gaynor

Milestone: Python-3.x

comment:3 Changed 2 years ago by hawkowl

Resolution: fixed
Status: newclosed

This seems to be fixed now.

comment:4 Changed 2 years ago by Glyph

Resolution: fixed
Status: closedreopened

Fixed in #7419, of which this appears to be a duplicate?

comment:5 Changed 2 years ago by Glyph

Resolution: duplicate
Status: reopenedclosed
Note: See TracTickets for help on using tickets.